import StiFormObject from "../elements/base/StiFormObject";
import { PaperKind } from "../system/enums";
import StiJson from "../system/StiJson";
export default class StiPagePaperKind extends StiFormObject {
    name: string;
    kind: PaperKind;
    private static readonly _availableStandardKinds;
    private _width;
    private _height;
    constructor(name: string, kind: PaperKind, width: number, height: number);
    get width(): number;
    set width(value: number);
    get height(): number;
    set height(value: number);
    private updatePaperKind;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    clone(): StiPagePaperKind;
    static availableStandardKinds(): StiPagePaperKind[];
    static fromStandardPaperKind(standardPaperKind: PaperKind): StiPagePaperKind;
}
